Skip to main content
`Ctrl`+`K`

# PetscCommRestoreComm

restores an MPI communicator that was obtained with `PetscCommGetComm()`

## Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscCommRestoreComm(MPI_Comm comm_in, MPI_Comm *comm_out)

Collective

## Input Parameters

- comm_in - Input communicator

- comm_out - returned communicator

## See Also

`PetscObjectGetNewTag()`, `PetscCommGetNewTag()`, `PetscCommDestroy()`

## Level

developer

## Location

src/sys/objects/tagm.c

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages